> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Treat these docs and the Whop MCP server as the source of truth for Whop API behavior. Don't infer endpoint behavior from marketing pages.
> MCP server: connect https://mcp.whop.com/mcp (streamable HTTP, browser sign-in, no API key in the client config) to search these docs and read or change live Whop data. Setup: https://docs.whop.com/developer/guides/ai_and_mcp.md
> Whop CLI: install with `curl -fsSL https://whop.com/install.sh | sh` to scaffold, run, and deploy Whop apps and websites. It acts on production, not the sandbox. Overview: https://docs.whop.com/cli/overview.md Agent mode: https://docs.whop.com/cli/agent-mode.md
> Hosting: Whop serves a site or app from the build `whop apps deploy` uploads, with rollbacks, secrets, and server logs. Guide: https://docs.whop.com/developer/websites/hosting.md
> Plugins: in Claude Code, run `/plugin marketplace add whopio/plugins`, then `/plugin install whop@whop`. Guide: https://docs.whop.com/developer/guides/plugins/claude-code.md Every agent tool: https://docs.whop.com/developer/ai/overview.md
> Environments: build and test in the sandbox (API `https://sandbox-api.whop.com/api/v1`, keys at https://sandbox.whop.com/dashboard/developer, SDK environment `Sandbox`; no real money). Production (API `https://api.whop.com/api/v1`, keys at https://whop.com/dashboard/developer, SDK environment `Production`, the SDK default) moves real money, so use it only at launch. The two share no accounts, keys, products, or webhooks, and their keys look identical: never mix them. Sandbox guide: https://docs.whop.com/developer/guides/sandbox.md Comparison: https://docs.whop.com/developer/quickstart.md
> API: send `Authorization: Bearer <API_KEY>` from your server only, and pin a dated version with the `Api-Version-Date` header. OpenAPI spec: https://api.whop.com/api/v1/openapi.json
> Which API: build on the Current API, whose pages live under https://docs.whop.com/api-reference/ (start at https://docs.whop.com/api-reference/overview.md). Pages under /api-reference/legacy/ are the Legacy API. Use one only when https://docs.whop.com/api-reference/stability.md lists the resource as Legacy-only.

# Webhooks API

> Webhook, bir ödemenin başarılı olması veya bir üyeliğin etkinleşmesi gibi olaylar gerçekleştiğinde Whop'un imzalı HTTP POST istekleri gönderdiği, sunucunuzdaki bir uç noktadır.

Bir webhook bir hesaba veya uygulamaya bağlıdır ve seçtiğiniz olaylara abone olur.

Webhooks API'yi uç noktaları oluşturmak ve güncellemek, bir test olayı göndermek, teslimat günlüğünü incelemek ve sunucunuzun kaçırdığı teslimatları yeniden oynatmak için kullanın. İmzaları doğrulama ve yeniden denemeleri işleme için [Webhooks & Events](https://docs.whop.com/tr/developer/guides/webhooks.md) sayfasına bakın.

## Uç noktalar

| Uç nokta | İstek |
| - | - |
| [Webhook'ları Listele](https://docs.whop.com/tr/api-reference/webhooks/list-webhooks.md) | GET `/webhooks` |
| [Webhook'u Getir](https://docs.whop.com/tr/api-reference/webhooks/retrieve-webhook.md) | GET `/webhooks/{id}` |
| [Teslimatları Listele](https://docs.whop.com/tr/api-reference/webhooks/list-deliveries.md) | GET `/webhooks/{id}/deliveries` |
| [Webhook Oluştur](https://docs.whop.com/tr/api-reference/webhooks/create-webhook.md) | POST `/webhooks` |
| [Teslimatı Yeniden Oynat](https://docs.whop.com/tr/api-reference/webhooks/replay-delivery.md) | POST `/webhooks/{id}/deliveries/{delivery_id}/replay` |
| [Bir Aralıktaki Teslimatları Yeniden Oynat](https://docs.whop.com/tr/api-reference/webhooks/replay-deliveries-in-a-range.md) | POST `/webhooks/{id}/replay` |
| [Test Olayı Gönder](https://docs.whop.com/tr/api-reference/webhooks/send-test-event.md) | POST `/webhooks/{id}/test` |
| [Webhook'u Güncelle](https://docs.whop.com/tr/api-reference/webhooks/update-webhook.md) | PATCH `/webhooks/{id}` |
| [Webhook'u Sil](https://docs.whop.com/tr/api-reference/webhooks/delete-webhook.md) | DELETE `/webhooks/{id}` |

## Öznitelikler

**id** `string` *required*

Webhook kimliği, `hook_` önekli.

**api\_version** `string` *required*

Bu webhook uç noktasına gönderilen yükleri biçimlendirmek için kullanılan API sürümü.

Kullanılabilir seçenekler: `v1`, `v2`, `v5`

**api\_version\_date** `string | null` *required*

Bu uç noktanın v1 yüklerinin sabitlendiği tarihli API sürümü (Api-Version-Date): olaylar tam olarak bu sürümdeki bir REST okuması gibi serileştirilir (kaynağın yerel serileştiricisi varsa o kullanılır). Sabitlenmemişse Null — eski (v2/v5) webhook'lar ve eski yük yapısındaki v1 webhook'lar.

**child\_resource\_events** `boolean` *required*

Alt kaynaklar için olayların gönderilip gönderilmediği. Örneğin, webhook bir hesap üzerindeyse bunu etkinleştirmek yalnızca alt hesaplarından olaylar gönderir.

**consecutive\_failures** `integer` *required*

Bu uç noktanın son kabulünden bu yana ilk denemesi başarısız olan ardışık teslimatların sayısı. Aynı teslimatın sonraki yeniden denemeleri bunu artırmaz. Bir teslimat başarılı olduğunda veya webhook yeniden etkinleştirildiğinde `0`'a sıfırlanır.

**created\_at** `string` *required*

Webhook'un oluşturulduğu zaman, ISO 8601 zaman damgası olarak.

**disabled\_at** `string | null` *required*

Whop'un bu webhook'u otomatik olarak devre dışı bıraktığı zaman, ISO 8601 zaman damgası olarak. Webhook Whop tarafından devre dışı bırakılmadıysa `null`; kendi devre dışı bıraktığınız bir webhook `enabled: false` ve `null` bir `disabled_at` değerine sahiptir.

**disabled\_reason** `string | null` *required*

Whop'un bu webhook'u neden devre dışı bıraktığı. `delivery_failures`, her teslimatın art arda 3 gün boyunca başarısız olduğu anlamına gelir. `disabled_at` `null` olduğunda `null`.

Kullanılabilir seçenekler: `delivery_failures`

**enabled** `boolean` *required*

Bu webhook uç noktasının şu anda etkin olup olmadığı ve olay alıp almadığı.

**events** `string[]` *required*

Bu webhook'un abone olduğu olay türleri, nokta biçiminde (örneğin `payment.succeeded`).

Kullanılabilir seçenekler: `account.updated`, `account.financing_approved`, `account.financing_denied`, `account.financing_disabled`, `invoice.created`, `invoice.marked_uncollectible`, `invoice.paid`, `invoice.past_due`, `invoice.voided`, `membership.activated`, `membership.deactivated`, `membership.trial_ending_soon`, `membership.updated`, `entry.created`, `entry.approved`, `entry.denied`, `entry.deleted`, `export.completed`, `export.failed`, `setup_intent.requires_action`, `setup_intent.succeeded`, `setup_intent.canceled`, `ledger_account.funds_available`, `swap.completed`, `deposit.succeeded`, `financial_activity.funds_available`, `transfer.created`, `transfer.completed`, `transfer.failed`, `withdrawal.created`, `withdrawal.updated`, `withdrawal.reversed`, `payout.created`, `payout.updated`, `payout.reversed`, `card_transaction.created`, `card_transaction.updated`, `card_transaction.completed`, `card_transaction.declined`, `card_transaction.reversed`, `card.created`, `card.updated`, `card.frozen`, `card.canceled`, `card_application.created`, `card_application.updated`, `card_application.approved`, `card_application.denied`, `course_lesson_interaction.completed`, `domain.created`, `domain.updated`, `domain.deleted`, `capital.created`, `capital.updated`, `payout_method.created`, `verification.succeeded`, `identity_profile.approved`, `identity_profile.rejected`, `identity_profile.needs_action`, `identity_profile.updated`, `payout_account.status_updated`, `payment.authorized`, `payment.canceled`, `resolution_center_case.created`, `resolution_center_case.updated`, `resolution_center_case.decided`, `product.created`, `product.updated`, `product.deleted`, `product.published`, `product.unpublished`, `plan.created`, `plan.updated`, `plan.deleted`, `shipment.created`, `shipment.updated`, `member.created`, `member.updated`, `ad_campaign.created`, `ad_campaign.payment_failed`, `ad_campaign.updated`, `ad_campaign.events`, `ad_campaign.deleted`, `ad_group.created`, `ad_group.updated`, `ad_group.deleted`, `ad.created`, `ad.updated`, `ad.deleted`, `app_installation.created`, `app_installation.deleted`, `events.created`, `chat.message.created`, `chat.reaction.created`, `payment.created`, `payment.succeeded`, `payment.failed`, `payment.pending`, `payment.requires_action`, `dispute.created`, `dispute.updated`, `refund.created`, `refund.updated`, `dispute_alert.created`, `membership.cancel_at_period_end_changed`, `membership.went_valid`, `membership.went_invalid`, `membership.metadata_updated`, `resolution.created`, `resolution.updated`, `resolution.decided`, `payment.affiliate_reward_created`, `membership.experience_claimed`, `app_membership.went_valid`, `app_membership.went_invalid`, `app_payment.created`, `app_payment.succeeded`, `app_payment.failed`, `app_payment.pending`, `app_payment.requires_action`, `app_membership.cancel_at_period_end_changed`, `shipping_address.changed`

**failing\_since** `string | null` *required*

Mevcut hata serisinin başladığı zaman, ISO 8601 zaman damgası olarak. `last_failure_at` alanından farklı olarak bu, serinin ilk başarısız denemesinde ayarlanır, bu nedenle şu anda başarısız olan bir uç noktayı gösterir. Uç nokta sağlıklı olduğunda `null`.

**last\_failure\_at** `string | null` *required*

Bu uç noktaya yapılan bir teslimatın, yeniden denemeler tükendikten sonra en son başarısız olduğu zaman, ISO 8601 zaman damgası olarak. Hiçbir teslimat başarısız olmadıysa `null`.

**resource\_id** `string` *required*

Bu webhook'un bağlı olduğu kaynağın (hesap veya uygulama) kimliği.

**testable\_events** `string[]` *required*

Abone olunan olay türlerinden test yükü göndermeyi destekleyenlerin alt kümesi, nokta biçiminde.

Kullanılabilir seçenekler: `account.updated`, `account.financing_approved`, `account.financing_denied`, `account.financing_disabled`, `invoice.created`, `invoice.marked_uncollectible`, `invoice.paid`, `invoice.past_due`, `invoice.voided`, `membership.activated`, `membership.deactivated`, `membership.trial_ending_soon`, `membership.updated`, `entry.created`, `entry.approved`, `entry.denied`, `entry.deleted`, `export.completed`, `export.failed`, `setup_intent.requires_action`, `setup_intent.succeeded`, `setup_intent.canceled`, `ledger_account.funds_available`, `swap.completed`, `deposit.succeeded`, `financial_activity.funds_available`, `transfer.created`, `transfer.completed`, `transfer.failed`, `withdrawal.created`, `withdrawal.updated`, `withdrawal.reversed`, `payout.created`, `payout.updated`, `payout.reversed`, `card_transaction.created`, `card_transaction.updated`, `card_transaction.completed`, `card_transaction.declined`, `card_transaction.reversed`, `card.created`, `card.updated`, `card.frozen`, `card.canceled`, `card_application.created`, `card_application.updated`, `card_application.approved`, `card_application.denied`, `course_lesson_interaction.completed`, `domain.created`, `domain.updated`, `domain.deleted`, `capital.created`, `capital.updated`, `payout_method.created`, `verification.succeeded`, `identity_profile.approved`, `identity_profile.rejected`, `identity_profile.needs_action`, `identity_profile.updated`, `payout_account.status_updated`, `payment.authorized`, `payment.canceled`, `resolution_center_case.created`, `resolution_center_case.updated`, `resolution_center_case.decided`, `product.created`, `product.updated`, `product.deleted`, `product.published`, `product.unpublished`, `plan.created`, `plan.updated`, `plan.deleted`, `shipment.created`, `shipment.updated`, `member.created`, `member.updated`, `ad_campaign.created`, `ad_campaign.payment_failed`, `ad_campaign.updated`, `ad_campaign.events`, `ad_campaign.deleted`, `ad_group.created`, `ad_group.updated`, `ad_group.deleted`, `ad.created`, `ad.updated`, `ad.deleted`, `app_installation.created`, `app_installation.deleted`, `events.created`, `chat.message.created`, `chat.reaction.created`, `payment.created`, `payment.succeeded`, `payment.failed`, `payment.pending`, `payment.requires_action`, `dispute.created`, `dispute.updated`, `refund.created`, `refund.updated`, `dispute_alert.created`, `membership.cancel_at_period_end_changed`, `membership.went_valid`, `membership.went_invalid`, `membership.metadata_updated`, `resolution.created`, `resolution.updated`, `resolution.decided`, `payment.affiliate_reward_created`, `membership.experience_claimed`, `app_membership.went_valid`, `app_membership.went_invalid`, `app_payment.created`, `app_payment.succeeded`, `app_payment.failed`, `app_payment.pending`, `app_payment.requires_action`, `app_membership.cancel_at_period_end_changed`, `shipping_address.changed`

**title** `string | null` *required*

Bu webhook uç noktası için panelde gösterilen bir etiket, örneğin `Production`. Başlık ayarlanmadıysa `null`.

**url** `string` *required*

Webhook yüklerinin HTTP POST ile teslim edildiği hedef URL.

**webhook\_secret** `string | null` *required*

Webhook yüklerini imzalamak için kullanılan gizli anahtar. Her teslimatın HMAC imzasını doğrulamak için kullanın. Oluşturma yanıtında döndürülür. API anahtarları ve OAuth uygulamaları tarafından yapılan sonraki okumalarda `null`.

```json Webhook theme={null}
{
	"id": "hook_xxxxxxxxxxxxxx",
	"resource_id": "biz_xxxxxxxxxxxxxx",
	"title": "Production",
	"url": "https://example.com/webhooks/whop",
	"enabled": true,
	"api_version": "v1",
	"api_version_date": "2026-09-01",
	"events": ["payment.succeeded", "membership.activated"],
	"child_resource_events": false,
	"testable_events": ["payment.succeeded", "membership.activated"],
	"consecutive_failures": 0,
	"failing_since": null,
	"last_failure_at": "2026-08-28T03:12:45.000Z",
	"disabled_at": null,
	"disabled_reason": null,
	"created_at": "2026-08-02T18:20:00.000Z",
	"webhook_secret": null
}
```


## Related topics

- [Webhooks](https://docs.whop.com/tr/developer/guides/webhooks.md)
- [API sürümleri](https://docs.whop.com/tr/developer/api/versioning.md)
- [Identityprofile updated](https://docs.whop.com/tr/api-reference/verifications/identityprofile-updated.md)
